#ifndef INTERFACES_H
#define INTERFACES_H

#include <QtPlugin>

QT_BEGIN_NAMESPACE
class QByteArray;
class QString;
class QStringList;
QT_END_NAMESPACE

class CryptInterface
{
public:
    virtual ~CryptInterface() {}

   virtual int Decrypt( const QByteArray& byteArray, const QString& sPassWd, QString& sOutputString ) = 0;
   virtual int Encrypt( const QString& sInputString, const QString& sPassWd, QByteArray& byteArray ) = 0;

   // Errorcodes
   enum {
      PLUGIN_NO_ERROR                 =  0,
      PLUGIN_ERROR_INVALID_FILEHEADER = -1,
      PLUGIN_ERROR_INVALID_PASSWD     = -2
   };

};

QT_BEGIN_NAMESPACE
Q_DECLARE_INTERFACE(CryptInterface, "net.off-soft.OulBook.CryptInterface/1.0")
QT_END_NAMESPACE

#endif
